org.codehaus.groovy.runtime

## Class XmlGroovyMethods

- java.lang.Object
- - org.codehaus.groovy.runtime.XmlGroovyMethods

-     public class XmlGroovyMethods
      extends java.lang.Object

  This class defines all the new XML-related groovy methods which enhance the normal JDK XML classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.
  Author:
    Paul King, Jochen Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlGroovyMethods()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Iterator<org.w3c.dom.Node>` | `iterator(org.w3c.dom.NodeList nodeList)` Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.
    `static java.lang.String` | `serialize(org.w3c.dom.Element element)` Transforms the element to its text equivalent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlGroovyMethods

          public XmlGroovyMethods()

  - ### Method Detail

    - #### iterator

          public static java.util.Iterator<org.w3c.dom.Node> iterator(org.w3c.dom.NodeList nodeList)

      Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.
      Parameters:
        `nodeList` - a NodeList
      Returns:
        an Iterator for a NodeList
      Since:
        1.0

    - #### serialize

          public static java.lang.String serialize(org.w3c.dom.Element element)

      Transforms the element to its text equivalent. (The resulting string does not contain a xml declaration. Use `XmlUtil.serialize(element)` if you need the declaration.)
      Parameters:
        `element` - the element to serialize
      Returns:
        the string representation of the element
      Since:
        2.1